Ubuntu 16.04版 Selenium环境搭建

安装Selenium

sudo pip install selenium

由于Ubuntu中自带了FireFox游览器,所以直接可以用了。不过如果firefox是47以上版本,需要下载geckodriver,https://github.com/mozilla/geckodriver/releases/,下载后解压,放到PATH下就可以了。

Selenium是一组web自动化测试工具集,提供多种语言的API,例如java,python,ruby,.net等,支持Firefox,Chrome,IE,Safari 等多种浏览器,但是它驱动浏览器运行需要有专门的驱动程序。当驱动程序与浏览器的版本不匹配是就会报错。所以下载驱动一定要注意版本的匹配问题。

Selenium2.0和selenium3.0的到底选择哪个?

Selenium3.0 相较于selenium 2.0 API 没有变化,主要增加了如下特性:

  • 支持Mac OS ,支持官方的Safaridriver
  • 通过微软官方的webdriver server支持Edge浏览器
  • 只支持IE 9.0版本以上
  • 通过Mozilla官方的geckodriver来支持Firefox。
    综上,selenium3.0支持的浏览器版本更多,所以建议选择selenium3.0

如果想使用Chrome则需要安装驱动↓

安装Chrome游览器

sudo apt-get install libxss1 libappindicator1 libindicator7
wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb
sudo dpkg -i google-chrome*.deb
sudo apt-get install -f

安装xvfb

现在,让我们安装xvfb以便我们可以随意地运行Chrome
sudo apt-get install xvfb

安装ChromeDriver

sudo apt-get install unzip

wget -N http://chromedriver.storage.googleapis.com/2.26/chromedriver_linux64.zip
unzip chromedriver_linux64.zip
chmod +x chromedriver

sudo mv -f chromedriver /usr/local/share/chromedriver
sudo ln -s /usr/local/share/chromedriver /usr/local/bin/chromedriver
sudo ln -s /usr/local/share/chromedriver /usr/bin/chromedriver

在运行过程中ChromeDriver会与Chrome浏览器不兼容,重新下载ChromeDriver地址,替换旧ChromeDriver即可。

chromedriver版本 支持的Chrome版本
v2.36 v64-66
v2.35 v62-64
v2.34 v61-63
v2.33 v60-62
v2.32 v59-61
v2.31 v58-60
v2.30 v58-60
v2.29 v56-58
v2.28 v55-57
v2.27 v54-56
v2.26 v53-55
v2.25 v53-55
v2.24 v52-54
v2.23 v51-53
v2.22 v49-52
v2.21 v46-50
v2.20 v43-48
v2.19 v43-47
v2.18 v43-46
v2.17 v42-43
v2.13 v42-45
v2.15 v40-43
v2.14 v39-42
v2.13 v38-41
v2.12 v36-40
v2.11 v36-40
v2.10 v33-36
v2.9 v31-34
v2.8 v30-33
v2.7 v30-33
v2.6 v29-32
v2.5 v29-32
v2.4 v29-32

重新下载地址:http://chromedriver.storage.googleapis.com/index.html